- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.Association.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkFirewallPolicies/getAssociation#try-it)

Gets an association with the specified name.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/firewallPolicies/{firewallPolicy}/getAssociation`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `firewallPolicy` | `string` Name of the firewall policy to which the queried association belongs. |

### Query parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the association to get from the firewall policy. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "attachmentTarget": string, "firewallPolicyId": string, "shortName": string, "displayName": string, "priority": integer } ``` |

| Fields ||
|---|---|
| `name` | `string` The name for an association. |
| `attachmentTarget` | `string` The target that the firewall policy is attached to. |
| `firewallPolicyId` | `string` Output only. The firewall policy ID of the association. |
| `shortName` | `string` Output only. The short name of the firewall policy of the association. |
| `displayName (deprecated)` | `string` > [!WARNING] > This item is deprecated! Output only. Deprecated, please use short name instead. The display name of the firewall policy of the association. |
| `priority` | `integer` An integer indicating the priority of an association. The priority must be a positive value between 1 and 2147483647. Firewall Policies are evaluated from highest to lowest priority where 1 is the highest priority and 2147483647 is the lowest priority. The default value is `1000`. If two associations have the same priority then lexicographical order on association names is applied. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.firewallPolicies.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).